Subject: Re: gcc compiler output
From: [email-masked] (Paul Garceau)

3 May 1998 05:21:17 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

On 29 Apr 98 at 5:19, the Illustrious Earnie Boyd wrote:

> ---Benjamin Riefenstahl <[email-masked]> wrote:
> >
> <snip>
> > Gcc has 'i386' as a pre-defined identifier indicating your hardware
> > platform. The ANSI language standard prohibits the compiler from
> > introducing such names exactly so you as a programmer can use them.
> You
> > need to call gcc with the '-ansi' option to get that behaviour though.
> 
> I don't know if this would work with cygwin.  The specs file does a
> -Di386.  However, I haven't checked what happens in the specs file
> with -ansi.
> 
> > You could still detect your platform by checking for '__i386__'
> 
> Is this true for the cygwin gcc tools?  Is this macro defined?  It
> isn't in the specs file.

	It might be defined within the database for the make you are using...I 
ran make 3.76.1 (mingw32-gcc, ie. JJs) with the command option -p.  

	Directing the output to a file (NT 4.0) gave me a printable list of the 
internal database that is included with make 3.76.1.  There were a number 
of symbols defined...I haven't ran this under cygwin32.

	Peace,

		Paul G.

> 
> 
> ==
> -        \\||//
> ---o0O0--Earnie--0O0o----
> [email-masked]
> ------ooo0O--O0ooo-------
> 
> 
> 
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

Information Systems Consultant
NewDawn Productions
http://www.teleport.com/~pgarceau/newdawn/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".